List threat intelligence indicators
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of tiIndicator objects.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | ThreatIndicators.ReadWrite.OwnedBy |
| Delegated (personal Microsoft account) | Not supported. |
| Application | ThreatIndicators.ReadWrite.OwnedBy |
HTTP request
GET /security/tiIndicators
Optional query parameters
This method supports some of the OData query parameters to help customize the response. For general information, see OData Query Parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {code} |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of tiIndicator objects in the response body.
Examples
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/security/tiIndicators
Response
The following is an example of the response.
Note
The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"action": "action-value",
"activityGroupNames": [
"activityGroupNames-value"
],
"additionalInformation": "additionalInformation-value",
"azureTenantId": "azureTenantId-value",
"confidence": 99,
"description": "description-value"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk